Uploaded image for project: 'SignServer'
  1. SignServer
  2. DSS-1858

Upgrade descriptor files for EE 7 support

    Details

      Description

      The version in the EE 7 deployment (and other) descriptor files might need to (or should) be updated for Java EE 7 support.

      Some that comes to mind are:

      • DSS-1926: application.xml
      • DSS-1928: web.xml:s
      • DSS-1927: persistence.xml and entity-mappings (orm)
      • [-] jboss-app.xml: no version in the file so should be ok
      • [-] jboss-deployment-structure.xml: Could be upgraded but does not seem to be needed
      • [-] jboss.xml:s: No version in the file so should be ok
      • DSS-1929: ejb-jar.xml:s
      • [-] jboss-webservices.xml:s: Let's keep this for now unless needed to change
      • [-] sun-ejb-jar.xml:s: Let's keep this for now unless needed to change
      • other?

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              rammohan.bandi@primekey.com Rammohan Bandi
              Reporter:
              markus Markus Kilås
              Verified by:
              Markus Kilås
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 1 day, 4 hours
                  1d 4h
                  Remaining:
                  Remaining Estimate - 1 day, 2 hours
                  1d 2h
                  Logged:
                  Remaining Estimate - 1 day, 2 hours Time Not Required
                  3m